/**
 * 		Paragraph - Navigation Grid Slideshow CSS
 */


/** Layout **/

.paragraph--type--navigation-grid-slideshow {
  /*
  display: flex;
  flex-flow: row;
  margin-top: 2rem;
  margin-bottom: 2rem;
  */
  padding-top: inherit;
  padding-bottom: inherit;
  padding-left: inherit;
  padding-right: inherit;
}

.paragraph--type--navigation-grid-slideshow .carousel {
  /*flex-flow: column;*/
}

.paragraph--type--navigation-grid-slideshow .navgrid-carousel-wrapper {
  padding-left: 50px;
  padding-right: 50px;
}

/** Slides **/

.paragraph--type--navigation-grid-slideshow .videocarousel {
  background-color: white;
  padding: 40px;
  height:650px;
  overflow-y: scroll;
}

.paragraph--type--navigation-grid-slideshow .carousel-inner {
  padding-left: 10px;
  padding-right: 10px;
}


@media only screen and (min-width: 1750px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 500px;
  }
}

@media only screen and (max-width: 1399px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 650px;
  }
}

@media only screen and (max-width: 1199px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 650px;
  }
}

@media only screen and (max-width: 1140px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 650px;
  }
}

@media only screen and (max-width: 991px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 620px;
  }
}

@media only screen and (max-width: 767px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 600px;
  }
}

@media only screen and (max-width: 575px) {
  .paragraph--type--navigation-grid-slideshow .videocarousel {
    height: 580px;
  }
  .paragraph--type--navigation-grid-slideshow .carousel-navgrid {
    display: none;
  }    
}

.paragraph--type--navigation-grid-slideshow .videocarousel .field--name-field-navgrid-sshow-title {
  font-size: 1.7rem;
  line-height: normal;
  font-weight: bold;
  padding-bottom: 10px;
}

/** Icons **/

.paragraph--type--navigation-grid-slideshow .carousel-navgrid {
  padding: 0px 40px 0px 40px;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid-icon-tile {
  padding: 0;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid-icon-tile a {
  display: block;
  border-radius: 5%;    
  padding: 5px;
  margin: 5px;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid img {
  max-height:100px;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid svg {
  max-height: 100px;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid svg path {
  fill: #d73f09;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid .carousel-navgrid-icon-tile:hover {
  cursor: pointer;
}

.paragraph--type--navigation-grid-slideshow .carousel-navgrid .carousel-navgrid-icon-tile:hover svg path {
  fill: #0d5256;
}

.paragraph--type--navigation-grid-slideshow .field--name-field-navgrid-sshow-slide-icon {
  display: flex;
  justify-content: center;
}

.paragraph--type--navigation-grid-slideshow .field--name-field-navgrid-icon-title {
  font-weight: bold;
  display: flex;
  text-align: center;
  justify-content: center;
}

.paragraph--type--navigation-grid-slideshow .slide svg {
  /*height: 350px;*/
  height: 250px;
}

.paragraph--type--navigation-grid-slideshow .slide svg path {
    fill: #d73f09;
}

.paragraph--type--navigation-grid-slideshow .carousel-controls {
  display: block;
  text-align: center;
  margin-top: 40px;
}

.paragraph--type--navigation-grid-slideshow .carousel-indicators {
  margin: 0;
  position: relative !important;
}

.paragraph--type--navigation-grid-slideshow .carousel-indicators button {
  background-color: #888;
  border: 1px solid #444;
  opacity: 80%;
  display: inline-block;
  width: 14px;
  height: 14px;
  margin-right: 10px;
  margin-left: 10px;
  border-radius: 14px;
  opacity: 100%;
  position: relative;
  vertical-align: middle;
}

.paragraph--type--navigation-grid-slideshow .carousel-indicators button:hover {
  background-color: #444;
  border: 1px solid black;
  opacity: 100%;
}

.paragraph--type--navigation-grid-slideshow .carousel-indicators button.active {
  background-color: #444;
  border: 1px solid black;
  opacity: 100%;
}


/*  Prev/Next Buttons */
.paragraph--type--navigation-grid-slideshow .carousel-control-wrapper {
  border: none;
  width: auto !important;
  height: auto !important;
}

.paragraph--type--navigation-grid-slideshow .carousel-control-wrapper i.bi {
  font-size: 4rem;
  font-weight: bold;
  color: black;
  opacity: 50%;
}

.paragraph--type--navigation-grid-slideshow .carousel-control-next {
  justify-content: right;
  width: auto;
  margin-right: -40px;
}

.paragraph--type--navigation-grid-slideshow .carousel-control-prev {
  justify-content: left;
  width: auto;
  margin-left: -40px;
}


/** Navigation Arrows **/
.paragraph--type--navigation-grid-slideshow .bi-chevron-left::before {
  /*content: "\f129";*/
  content: "\F12A";
  /*content: "\F12C";*/
  font-size: 4rem;
  color: black;
}

.paragraph--type--navigation-grid-slideshow .bi-chevron-right::before {
  /*content: "\f133";*/
  content: "\f134";
  /*content: " \F135";*/
  font-size: 4rem;
  color: black;
}

/** Mobile Tweaks **/

@media only screen and (max-width: 1199px) {
  .paragraph--type--navigation-grid-slideshow .slide svg {
    height: 250px;
  }
}

@media only screen and (max-width: 991px) {
  .paragraph--type--navigation-grid-slideshow .slide svg {
    height: 250px;
  }
  /*
  .paragraph--type--navigation-grid-slideshow .carousel-navgrid svg {
    max-height: 80px !important;
  }
  */
  .paragraph-unique-id-53722 .carousel-inner {
    padding-left: 30px;
    padding-right: 30px;
  }    

  .paragraph--type--navigation-grid-slideshow .carousel-control-next {
    margin-right: -20px;
  }

  .paragraph--type--navigation-grid-slideshow .carousel-control-prev {
    margin-left: -20px;
  }

  .paragraph--type--navigation-grid-slideshow .carousel-navgrid {
    display: none;
  }    
  .paragraph--type--navigation-grid-slideshow .bi-chevron-left::before,
  .paragraph--type--navigation-grid-slideshow .bi-chevron-right::before {
    font-size: 3rem;
  }
}

@media only screen and (max-width: 767px) {
  .paragraph--type--navigation-grid-slideshow .bi-chevron-left::before,
  .paragraph--type--navigation-grid-slideshow .bi-chevron-right::before {
    font-size: 3rem;
  }
}

@media only screen and (max-width: 575px) {
  .paragraph--type--navigation-grid-slideshow .slide svg {
    height: 200px;
  }

  .paragraph--type--navigation-grid-slideshow .videocarousel {
    padding: 15px;
  }

  .paragraph-unique-id-53722 .carousel-inner {
    padding-left: 15px;
    padding-right: 15px;
  }

  .paragraph--type--navigation-grid-slideshow .bi-chevron-left::before,
  .paragraph--type--navigation-grid-slideshow .bi-chevron-right::before {
    font-size: 2.5rem;
  }

  .paragraph--type--navigation-grid-slideshow .carousel-control-next {
    margin-right: -10px;
  }

  .paragraph--type--navigation-grid-slideshow .carousel-control-prev {
    margin-left: -10px;
  }

}
